
def random_feature_importance(data, target, model):
    from eli5.sklearn import PermutationImportance

    # Create a permutation importance model
    perm = PermutationImportance(model, random_state=1)
    
    # Fit the permutation importance model on the data
    perm.fit(data, target)
    
    # Get the feature importances
    importances = perm.feature_importances_
    
    return importances



